<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<script type="text/javascript">
	window.addEventListener("load",function(){
		document.querySelector("button").addEventListener("click",function(){
			var elementos = document.getElementsByName("sexo");
 
			for(var i=0; i<elementos.length; i++) {
  				document.querySelector(".salida").innerHTML+=" Elemento: " + elementos[i].value + "\n Seleccionado: " + elementos[i].checked + "<br>";
			}
			
		});
	});



</script>
</head>

<body>
<form name="unico">
Selecciona tu sexo<br>
<input type="radio" id="m" name="sexo" value="masculino">
<label for="m">Masculino</label><br>
<input type="radio" id="f" name="sexo" value="femenino">
<label for="f">Femenino</label>
<button type="button">Enviar</button>

<div class="salida"></div>

</form>
</body>
</html>
